Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.imp3d.gl20
Class GL20ResourceLightPoint

    java.lang.Object
      de.grogra.imp3d.gl20.GL20Resource
          de.grogra.imp3d.gl20.GL20ResourceLight
              de.grogra.imp3d.gl20.GL20ResourceLightPoint

    public class GL20ResourceLightPoint

extends GL20ResourceLight

Field Summary

Fields inherited from class de.grogra.imp3d.gl20.GL20Resource
`GL20RESOURCE_CLASS_LIGHT, GL20RESOURCE_CLASS_MASK, GL20RESOURCE_CLASS_MESH, GL20RESOURCE_CLASS_SHADER, GL20RESOURCE_CLASS_SHADERFRAGMENT, GL20RESOURCE_CLASS_SHAPE, GL20RESOURCE_CLASS_TEXTURE, GL20RESOURCE_LIGHT_DIRECTIONAL, GL20RESOURCE_LIGHT_POINT, GL20RESOURCE_LIGHT_SPOT, GL20RESOURCE_MESH_MULTI_USER, GL20RESOURCE_MESH_SINGLE_USER, GL20RESOURCE_SHADER_PHONG, GL20RESOURCE_SHADER_RGBA, GL20RESOURCE_SHADERFRAGMENT_BLEND, GL20RESOURCE_SHADERFRAGMENT_GRAYTONE, GL20RESOURCE_SHADERFRAGMENT_RGB, GL20RESOURCE_SHAPE_BOX, GL20RESOURCE_SHAPE_FRUSTUM, GL20RESOURCE_SHAPE_LINE, GL20RESOURCE_SHAPE_LINE_STRIP, GL20RESOURCE_SHAPE_PARALLELOGRAM, GL20RESOURCE_SHAPE_PLANE, GL20RESOURCE_SHAPE_POLYGONS, GL20RESOURCE_SHAPE_SPHERE, GL20RESOURCE_TEXTURE, GL20RESOURCE_TEXTURE_CUBEMAP, GL20RESOURCE_TYPE_MASK`

Constructor Summary
`GL20ResourceLightPoint()`

Method Summary
`void` | `destroy()` destroy this `GL20ResourceLightPoint`
`boolean` | `isUpToDate()` check if this `GL20ResourceLightPoint` is up to date.
`void` | `update()` update the state of this `GL20ResourceLightPoint`

Methods inherited from class de.grogra.imp3d.gl20.GL20ResourceLight
`destory, getColor, getWorldTransformationMatrix, registerLight, setColor, setupLights, setWorldTransformationMatrix, unregisterLight`

Methods inherited from class de.grogra.imp3d.gl20.GL20Resource
`getResourceClass, getResourceClassType, getResourceType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GL20ResourceLightPoint

    public GL20ResourceLightPoint()

Method Detail

### destroy

    public void destroy()

  destroy this `GL20ResourceLightPoint`

  Overrides:
    `destroy` in class `GL20Resource`
  See Also:
    `GL20Resource`

### isUpToDate

    public boolean isUpToDate()

  check if this `GL20ResourceLightPoint` is up to date.

  Overrides:
    `isUpToDate` in class `GL20ResourceLight`
  Returns:
    `true` - this `GL20ResourceLightPoint` is up to date
  See Also:
    `GL20Resource`

### update

    public void update()

  update the state of this `GL20ResourceLightPoint`

  Overrides:
    `update` in class `GL20ResourceLight`
  See Also:
    `GL20Resource`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD